Subject: RE: [Sipping] how to change of SSRC in the media stream?

From: "Sreedhar Pampati" <[email-masked]>
Date: Thu, 15 Dec 2005 17:01:38 -0800

Hi Colin,
  Thanks for the response. Are you saying that the SIP entities are
supposed to just adapt to the new SSRC, with or without any warning?
  Is there anyway we can solve it by just using reINVITEs since we don't
support RTCP?
Thanks and regards,
Sreedhar

-----Original Message-----
From: Colin Perkins [mailto:[email-masked]] 
Sent: Thursday, December 15, 2005 4:32 PM
To: Sreedhar Pampati
Cc: [email-masked]
Subject: Re: [Sipping] how to change of SSRC in the media stream?

On 15 Dec 2005, at 01:19, Sreedhar Pampati wrote:
> I have the following scenario:
>
> 1. SIP Phone1 calls an App Server (AS) and the AS connects the call to
> play prompts. This sets up the stream from the AS to the phone with
> SSRC=1000 in the RTP header.
>
> 2. After collecting the digits (and the destination number) the AS
> (which is acting in B2BUA mode) places an outgoing call to SIP  
> Phone 2.
> This sets up the stream from the Phone 2 to the AS with SSRC=9999.
>
> 3. The AS is in the media path and in order to synchronize the SSRC  
> and
> timestamps on the RTP (streams) between the Phone 1 and Phone 2,  
> the AS
> needs to let the Phone1 to expect a new SSRC (namely 9999).
>
> My question is, can the AS send a reINVITE to the SIP Phone1 with a
> version number increment in the o= line in the SDP? Is that sufficient
> for Phone 1 to expect a new SSRC on the incoming RTP packets?

The SSRC can change within a session, without explicit signalling.  
Send an RTCP BYE for the old SSRC and start using the new SSRC.  
Receivers will recognise the RTCP CNAME as being constant and  
associate it with the original sender. See RFC 3550, in particular  
sections 7 and 8.

Colin

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Colin Perkins <[email-masked]>
Date: Fri, 16 Dec 2005 01:07:35 +0000

> supposed to just adapt to the new SSRC, with or without any warning?

Yes. RTP has always allowed the SSRC to change within a session, as  
part of the collision avoidance algorithm.

>   Is there anyway we can solve it by just using reINVITEs since we  

An RTP stack which doesn't support RTCP is broken. I suggest you fix  
your code.

Colin